function doClick(e) {
	alert('Clicked ' + '\'' + e.source.id + '\'');
}

function selectVehicle() {
	//var responseJson = apiCall('{  "serviceHeader": {"uniqueDeviceId": "c1jnmvpqpQ7s78tYmuRW7x3af1A=","deviceType": "android","transactionIdentifier": "vir-1234567890"},"rateRequest": {"pickUpLocationCode": " LGA",    "dropOffLocationCode": " LGA",    "requestType": "BB",    "rateCategory": "ALL",    "brand": "A",    "pickUpDateString": "2013-3-30T10:25:30",    "dropOffDateString": "2013-3-31T10:26:35",    "discountNumber": "",    "wizardNumber": ""  },  "maxRecords": 0,  "includeCPinMultipleRes": false,  "getCancelledRecords": false}', "VehAvailRateRQ");
	var url = "https://uat.omegaservices.carrental.com/Mobile";
	var json = getVehicleRequest();
	var client = Ti.Network.createHTTPClient({
		onload : function(e) {
			Ti.API.info("SUCCESS: {" + this.responseText + "}");
			var vehicleJson = JSON.parse(this.responseText);
			var vehicleList = Alloy.Collections.vehicleList;
			Ti.API.info("Vehicles Matched: " + vehicleJson.vehicles.length);

			var carousel = [];
			var websiteUrl = "http://qa.avis.com/car-rental/images/global/en/rentersguide/mobile/android/$CLS$_small.png";

			for (var i = 0; i < vehicleJson.vehicles.length; ++i) {
				var entry = Alloy.createModel('vehicle', {
					carClass : vehicleJson.vehicles[i].carClass,
					carGroup : vehicleJson.vehicles[i].carGroup,
					classDescription : vehicleJson.vehicles[i].classDescription
				});
				vehicleList.add(entry);

				var containerView = Ti.UI.createView();
				var imageUrl = websiteUrl.replace("$CLS$", vehicleJson.vehicles[i].carClass);
				var imageView = Ti.UI.createImageView({
					image : imageUrl,
					top : 0,
					left : 0,
					right : 0,
					bottom : 0
				});
				var imageLabel = Ti.UI.createLabel({
					bottom : 10,
					left : 10,
					right : 10,
					height : 18,
					textAlign : 'center',
					font : {
						fontWeight : 'bold',
						fontSize : 14
					},
					text : vehicleJson.vehicles[i].classDescription
				});
				containerView.add(imageView);
				containerView.add(imageLabel);
				carousel.push(containerView);

			}

			$.carouselView.setViews(carousel);

		},
		onerror : function(e) {
			Ti.API.debug("STATUS: " + this.status);
			Ti.API.debug("TEXT:   " + this.responseText);
			Ti.API.debug("ERROR:  " + e.error);
			alert('There was an error retrieving the remote data. Try again.');
		},
		timeout : 5000 // in milliseconds
	});
	client.open("POST", url);
	client.setRequestHeader("Service", "VehAvailRateRQ");
	client.send(json);
	//Alloy.createController("add").getView().open();
}

function getVehicleRequest() {
	var uniqueDeviceId = "c1jnmvpqpQ7s78tYmuRW7x3af1A=";
	var deviceType = "android";
	var transactionId = "vir-" + "1234567890";
	//vir + UUID

	var requestText = '{  "serviceHeader": {"uniqueDeviceId": "'
	requestText += uniqueDeviceId;
	requestText += '",';
	requestText += '"deviceType": "';
	requestText += deviceType;
	requestText += '",';
	requestText += '"transactionIdentifier": "';
	requestText += transactionId;
	requestText += '"},';
	requestText += '"rateRequest": {';
	requestText += '"pickUpLocationCode": "';

	var str = $.pickerPickupLocation.getSelectedRow(0).title;
	var position = str.lastIndexOf("-")
	position = position + 1;
	var LocationCode = str.substr(position);

	requestText += LocationCode;
	requestText += '",    "dropOffLocationCode": "';

	str = $.pickerDropOffLocation.getSelectedRow(0).title;
	position = str.lastIndexOf("-")
	position = position + 1;
	LocationCode = str.substr(position);

	requestText += LocationCode;
	requestText += '",    "requestType": "BB",    "rateCategory": "ALL",    "brand": "A",    "pickUpDateString": "';

	var pickerPickupDate = new Date($.pickerPickupDate.value);
	var pickerPickupTime = new Date($.pickerPickupTime.value);
	var pickUpDatetime = pickerPickupDate.getFullYear() + "-" + (pickerPickupDate.getMonth() + 1) + "-" + pickerPickupDate.getDate() + "T" + pickerPickupTime.getHours() + ":" + pickerPickupTime.getMinutes() + ":" + pickerPickupTime.getSeconds();

	requestText += pickUpDatetime;

	requestText += '",    "dropOffDateString": "';
	var pickerDropOffDate = new Date($.pickerDropOffDate.value);
	var pickerDropOffTime = new Date($.pickerDropOffTime.value);
	var dropOffDatetime = pickerDropOffDate.getFullYear() + "-" + (pickerDropOffDate.getMonth() + 1) + "-" + pickerDropOffDate.getDate() + "T" + pickerDropOffTime.getHours() + ":" + pickerDropOffTime.getMinutes() + ":" + pickerDropOffTime.getSeconds();
	requestText += dropOffDatetime;

	requestText += '",    "discountNumber": "';
	requestText += $.txtAvisWWDisc.value;
	requestText += '",    "wizardNumber": "';
	requestText += $.txtWizNum.value;
	requestText += '"  },  "maxRecords": 0,  "includeCPinMultipleRes": false,  "getCancelledRecords": false}';

	console.log(requestText);
	return requestText;
}

$.index.open();
